Subject: Re: [PATCH] s2io: replace readq() with mmiowb() in s2io_xmit()

From: Anton Blanchard <[email-masked]>
Date: Tue, 3 May 2005 13:06:20 +1000

> [Ram] Yes, it is to ensure ordering as well as the flush of the io that is
> required in some platforms.

If the flush of the IO is required I cant see how we can remove the read.

Anton